kind: pipeline
type: docker
name: irc-netcore-api

steps:
  - name: docker-build
    image: docker
    pull: if-not-exists
    volumes:
      - name: dockersock
        path: /var/run/docker.sock
      - name: cached_nuget_packages
        path: /drone/nuget_packages
    commands:
      - date +%H:%M:%S  
      - pwd
      - docker build -t Test.Study .
      - date +%H:%M:%S

  - name: docker-deploy
    image: docker
    pull: if-not-exists
    depends_on:
      - docker-build
    volumes:
      - name: dockersock
        path: /var/run/docker.sock
    commands:
      - date +%H:%M:%S
      - docker rm -f test-study-container
      - docker run -itd -e TZ=Asia/Shanghai -e ASPNETCORE_ENVIRONMENT=Test_Study --restart=always --name test-study-container -p 8030:80 Test.Study
      - date +%H:%M:%S

volumes:
  - name: cached_nuget_packages
    host:
      path: /mnt/f/docker_publish/nuget_packages
  - name: dockersock
    host:
      path: /var/run/docker.sock
      
trigger:
  branch:
    - master  
      
---

      
kind: pipeline
type: ssh
name: ssh-windows-publish

platform:
  os: windows
  arch: amd64

clone:
  disable: true  #禁用默认克隆
  
server:
  host: 123.56.94.154
  user: Administrator
  password: WHxckj2019
  
steps:
- name:  publish-test-EIImageViewer
  commands:
  - C:\CICD\Test.EIImageViewer\netcore_Publish.ps1
  
trigger:
  branch:
    - Test.EIImageViewer  